diff --git a/Changes.lang b/Changes.lang
index a857f4151..c5f1a5f69 100644
--- a/Changes.lang
+++ b/Changes.lang
@@ -1,6 +1,7 @@
 Anope Version 1.9.2
 --------------------
 *** New Strings:
+    NICK_HELP_CONFIRM_OPER
 
 *** Mod Strings:
 
diff --git a/lang/cat.l b/lang/cat.l
index 461284cf0..8bb012aae 100644
--- a/lang/cat.l
+++ b/lang/cat.l
@@ -4010,6 +4010,11 @@ NICK_HELP_CONFIRM
 	registration process. For more information about the first
 	stage of the registration process, type: %R%S HELP REGISTER
 
+NICK_HELP_CONFIRM_OPER
+	
+	Additionally, Services Operators with the nickserv/confirm permission can
+	replace passcode with a users nick to force validate them.
+
 NICK_HELP_RESEND
 	Syntax: RESEND
 	
diff --git a/lang/de.l b/lang/de.l
index dda2e8ba4..c3cd7b074 100644
--- a/lang/de.l
+++ b/lang/de.l
@@ -4041,6 +4041,11 @@ NICK_HELP_CONFIRM
 	Registrationsprozesses. Für mehr Informationen über die erste
 	Stufe des Registrationsprozesses tippe: %R%S HELP REGISTER
 
+NICK_HELP_CONFIRM_OPER
+	
+	Additionally, Services Operators with the nickserv/confirm permission can
+	replace passcode with a users nick to force validate them.
+
 NICK_HELP_RESEND
 	Syntax: RESEND
 	
diff --git a/lang/en_us.l b/lang/en_us.l
index a7303632b..6e7802612 100644
--- a/lang/en_us.l
+++ b/lang/en_us.l
@@ -3876,6 +3876,11 @@ NICK_HELP_CONFIRM
 	registration process. For more information about the first
 	stage of the registration process, type: %R%S HELP REGISTER
 
+NICK_HELP_CONFIRM_OPER
+	
+	Additionally, Services Operators with the nickserv/confirm permission can
+	replace passcode with a users nick to force validate them.
+
 NICK_HELP_RESEND
 	Syntax: RESEND
 	
diff --git a/lang/es.l b/lang/es.l
index a79f5fb51..87e0c2dbb 100644
--- a/lang/es.l
+++ b/lang/es.l
@@ -3982,6 +3982,11 @@ NICK_HELP_CONFIRM
 	registo. Para mas informacion sobre la primera etpa del proceso 
 	de registro, escribe: %R%S HELP REGISTER
 
+NICK_HELP_CONFIRM_OPER
+	
+	Additionally, Services Operators with the nickserv/confirm permission can
+	replace passcode with a users nick to force validate them.
+
 NICK_HELP_RESEND
 	Sintaxis: RESEND
 	
diff --git a/lang/fr.l b/lang/fr.l
index 55f2992a2..1b3c88676 100644
--- a/lang/fr.l
+++ b/lang/fr.l
@@ -4041,6 +4041,11 @@ NICK_HELP_CONFIRM
 	registration process. For more information about the first
 	stage of the registration process, type: %R%S HELP REGISTER
 
+NICK_HELP_CONFIRM_OPER
+	
+	Additionally, Services Operators with the nickserv/confirm permission can
+	replace passcode with a users nick to force validate them.
+
 NICK_HELP_RESEND
 	Syntax: RESEND
 	
diff --git a/lang/gr.l b/lang/gr.l
index fbcfd8fec..b33d4f610 100644
--- a/lang/gr.l
+++ b/lang/gr.l
@@ -4013,6 +4013,11 @@ NICK_HELP_CONFIRM
 	registration process. For more information about the first
 	stage of the registration process, type: %R%S HELP REGISTER
 
+NICK_HELP_CONFIRM_OPER
+	
+	Additionally, Services Operators with the nickserv/confirm permission can
+	replace passcode with a users nick to force validate them.
+
 NICK_HELP_RESEND
 	Syntax: RESEND
 	
diff --git a/lang/hun.l b/lang/hun.l
index eab976a7b..c84aecfb7 100644
--- a/lang/hun.l
+++ b/lang/hun.l
@@ -3922,6 +3922,11 @@ NICK_HELP_CONFIRM
 	registration process. For more information about the first
 	stage of the registration process, type: %R%S HELP REGISTER
 
+NICK_HELP_CONFIRM_OPER
+	
+	Additionally, Services Operators with the nickserv/confirm permission can
+	replace passcode with a users nick to force validate them.
+
 NICK_HELP_RESEND
 	Syntax: RESEND
 	
diff --git a/lang/it.l b/lang/it.l
index 7f12eabd2..93e39fbd6 100644
--- a/lang/it.l
+++ b/lang/it.l
@@ -3889,6 +3889,11 @@ NICK_HELP_CONFIRM
 	registration process. For more information about the first
 	stage of the registration process, type: %R%S HELP REGISTER
 
+NICK_HELP_CONFIRM_OPER
+	
+	Additionally, Services Operators with the nickserv/confirm permission can
+	replace passcode with a users nick to force validate them.
+
 NICK_HELP_RESEND
 	Syntax: RESEND
 	
diff --git a/lang/nl.l b/lang/nl.l
index 4261a2b5b..8bd24005d 100644
--- a/lang/nl.l
+++ b/lang/nl.l
@@ -3955,6 +3955,11 @@ NICK_HELP_CONFIRM
 	registration process. For more information about the first
 	stage of the registration process, type: %R%S HELP REGISTER
 
+NICK_HELP_CONFIRM_OPER
+	
+	Additionally, Services Operators with the nickserv/confirm permission can
+	replace passcode with a users nick to force validate them.
+
 NICK_HELP_RESEND
 	Syntax: RESEND
 	
diff --git a/lang/pl.l b/lang/pl.l
index 8fa386d6a..12ff00ec9 100644
--- a/lang/pl.l
+++ b/lang/pl.l
@@ -4966,6 +4966,11 @@ NICK_HELP_CONFIRM
 	adres e-mail podany podczas pierwszego kroku rejestracji.
 	Aby siê dowiedzieæ wiêcej wpisz %R%S HELP REGISTER
 
+NICK_HELP_CONFIRM_OPER
+	
+	Additionally, Services Operators with the nickserv/confirm permission can
+	replace passcode with a users nick to force validate them.
+
 NICK_HELP_RESEND
 	Sk³adnia: RESEND
 	
diff --git a/lang/pt.l b/lang/pt.l
index 16c5ba198..9b72d2bdf 100644
--- a/lang/pt.l
+++ b/lang/pt.l
@@ -3901,6 +3901,11 @@ NICK_HELP_CONFIRM
 	registration process. For more information about the first
 	stage of the registration process, type: %R%S HELP REGISTER
 
+NICK_HELP_CONFIRM_OPER
+	
+	Additionally, Services Operators with the nickserv/confirm permission can
+	replace passcode with a users nick to force validate them.
+
 NICK_HELP_RESEND
 	Syntax: RESEND
 	
diff --git a/lang/ru.l b/lang/ru.l
index 8e1f89b27..191297938 100644
--- a/lang/ru.l
+++ b/lang/ru.l
@@ -3951,6 +3951,11 @@ NICK_HELP_CONFIRM
 	íà âàø e-mail â ïåðâîé ÷àñòè ïðîöåññà ðåãèñòðàöèè íèêà. Äëÿ áîëåå
 	ïîäðîáíîé èíôîðìàöèè ñì. %R%S HELP REGISTER
 
+NICK_HELP_CONFIRM_OPER
+	
+	Additionally, Services Operators with the nickserv/confirm permission can
+	replace passcode with a users nick to force validate them.
+
 NICK_HELP_RESEND
 	Ñèíòàêñèñ: RESEND
 	
diff --git a/lang/tr.l b/lang/tr.l
index 092b37ece..9b0c0ac3f 100644
--- a/lang/tr.l
+++ b/lang/tr.l
@@ -4002,6 +4002,11 @@ NICK_HELP_CONFIRM
 	registration process. For more information about the first
 	stage of the registration process, type: %R%S HELP REGISTER
 
+NICK_HELP_CONFIRM_OPER
+	
+	Additionally, Services Operators with the nickserv/confirm permission can
+	replace passcode with a users nick to force validate them.
+
 NICK_HELP_RESEND
 	Syntax: RESEND
 	
diff --git a/src/core/ns_register.c b/src/core/ns_register.c
index 6fd8e2455..65ccfa614 100644
--- a/src/core/ns_register.c
+++ b/src/core/ns_register.c
@@ -162,6 +162,8 @@ class CommandNSConfirm : public Command
 	bool OnHelp(User *u, const ci::string &subcommand)
 	{
 		notice_help(s_NickServ, u, NICK_HELP_CONFIRM);
+		if (u->nc && u->nc->HasCommand("nickserv/confirm"))
+			notice_help(s_NickServ, u, NICK_HELP_CONFIRM_OPER);
 		return true;
 	}
 };
